function FileData_Pairs(x)
{
x.t("example","unlike");
x.t("example","connection.start");
x.t("example","session.createtextmessage");
x.t("example","uses");
x.t("example","tibemsconnection_start");
x.t("example","tibemsmsgproducer_send");
x.t("example","sends");
x.t("example","receiving");
x.t("example","tibco");
x.t("example","tibemstextmsg_create");
x.t("example","setting");
x.t("userid","message.getstringproperty");
x.t("userid","null");
x.t("unlike","java");
x.t("connection.start","messageconsumer.receive");
x.t("connection.start","function");
x.t("connection.start","messageconsumer");
x.t("method","create");
x.t("method","user");
x.t("method","type");
x.t("method","close");
x.t("method","start");
x.t("method","receive");
x.t("method","message");
x.t("method","java");
x.t("method","send");
x.t("method","jms_tibco_preserve_undelivered");
x.t("properties","property");
x.t("properties","client");
x.t("properties","described");
x.t("todestination","function");
x.t("messageproducer.send","method");
x.t("session.createproducer","(null)");
x.t("receives","messages");
x.t("implement","message");
x.t("create","method");
x.t("create","text");
x.t("create","simple");
x.t("create","textmessage");
x.t("session.createtextmessage","method");
x.t("session.createtextmessage","hello");
x.t("getstringproperty","method");
x.t("sending","messages");
x.t("sending","message");
x.t("jmspriority","message");
x.t("createtextmessage","method");
x.t("user","jms_tibco_sender");
x.t("topic","message");
x.t("topic","created");
x.t("uses","close");
x.t("uses","message");
x.t("working","example");
x.t("working","messages");
x.t("mode","established");
x.t("tibemsconnection_close","function");
x.t("tibemsconnection_close","(connection)");
x.t("type","tibemstextmsg");
x.t("type","textmessage");
x.t("type","message");
x.t("sample","client");
x.t("close","method");
x.t("close","connection");
x.t("listener","message");
x.t("listener","asynchronous");
x.t("messageconsumer.receive","function");
x.t(".setbooleanproperty","method");
x.t("tibemstextmsg","tibemstextmsg");
x.t("tibemstextmsg","message");
x.t("nullsender","session.createproducer");
x.t("nullsender","topic");
x.t("nullsender","specifies");
x.t("form","messageproducer.send");
x.t("form","send");
x.t("regardless","whether");
x.t("connection","connection.start");
x.t("connection","implement");
x.t("connection","status");
x.t("connection","ems");
x.t("connection","object\u2019s");
x.t("connection","created");
x.t("connection","following");
x.t("connection","connection.close");
x.t("text","messages");
x.t("text","message");
x.t("property","method");
x.t("property","true");
x.t("setbooleanproperty","method");
x.t("apis","api");
x.t("queue","created");
x.t("tibemsconnection_start","function");
x.t("tibemsconnection_start","(connection)");
x.t("jms","message");
x.t("jms","applications");
x.t("getting","message");
x.t("start","method");
x.t("start","connection");
x.t("loop","duration");
x.t("self-contained","units");
x.t("status","tibemsconnection_close");
x.t("status","tibemsconnection_start");
x.t("status","tibemsmsgproducer_send");
x.t("status","tibemsmsg_getstringproperty");
x.t("status","tibemsmsgproducer_sendtodestination");
x.t("status","tibemsmsgconsumer_receive");
x.t("status","tibemstextmsg_create");
x.t("status","tibemsmsg_setbooleanproperty");
x.t("ems","works");
x.t("ems","client");
x.t("ems","message");
x.t("ems","server");
x.t("simple","text");
x.t("textmessage","textmessage");
x.t("textmessage","message");
x.t("check","message");
x.t("queuesender.send","(message)");
x.t("api","tibemsmsgproducer_send");
x.t("units","information");
x.t("tibemsmsg","message");
x.t("true","getstringproperty");
x.t("true","status");
x.t("true","tibemsmsg_getstringproperty");
x.t("true","message");
x.t("true","message.setbooleanproperty");
x.t("specified","tibemsmsgproducer");
x.t("specified","message");
x.t("specified","messageproducer");
x.t("queues","close");
x.t("queues","chapter");
x.t("tibemsmsgproducer_send","todestination");
x.t("tibemsmsgproducer_send","function");
x.t("tibemsmsgproducer_send","queuesender");
x.t("receipt","messages");
x.t("synchronously","receive");
x.t("creating","session");
x.t("creating","messages");
x.t("creating","message");
x.t("creating","topics");
x.t("char","userid");
x.t("&userid","message");
x.t("bytes","messages");
x.t("&message","client");
x.t("&message","tibemsmsgproducer.c");
x.t("consumption","java");
x.t("wishes","receive");
x.t("session","receiving");
x.t("session","described");
x.t("session","object\u2019s");
x.t("csmsgproducer.cs","sample");
x.t("sends","message");
x.t("csmsgconsumer.cs","sample");
x.t("map","messages");
x.t("tibemsmsg_getstringproperty","function");
x.t("tibemsmsg_getstringproperty","message");
x.t("destination","regardless");
x.t("destination","status");
x.t("destination","specified");
x.t("destination","tibemsmsgproducer");
x.t("destination","acknowledges");
x.t("destination","null");
x.t("destination","send");
x.t("destination","messageproducer");
x.t("destination","either");
x.t("string","userid");
x.t("string","hello");
x.t("fields","sending");
x.t("fields","described");
x.t("tibemsmsgproducer","messageproducer.send");
x.t("tibemsmsgproducer","status");
x.t("stream","messages");
x.t("second","example");
x.t("receiving","messages");
x.t("developing","ems");
x.t("request","operations");
x.t("body","text");
x.t("acknowledges","receipt");
x.t("messages","uses");
x.t("messages","working");
x.t("messages","tibemsconnection_close");
x.t("messages","queue");
x.t("messages","self-contained");
x.t("messages","tibemsmsg");
x.t("messages","bytes");
x.t("messages","map");
x.t("messages","destination");
x.t("messages","stream");
x.t("messages","body");
x.t("messages","messages");
x.t("messages","tibco");
x.t("messages","message");
x.t("messages","java");
x.t("messages","separate");
x.t("messages","information");
x.t("messages","described");
x.t("messages","using");
x.t("messages","connection.close");
x.t("messages","object");
x.t("first","example");
x.t("connecting","ems");
x.t("function","create");
x.t("function","user");
x.t("function","close");
x.t("function","start");
x.t("function","receive");
x.t("function","send");
x.t("function","jms_tibco_preserve_undelivered");
x.t("function","specify");
x.t("software","chapter");
x.t("chapter","developing");
x.t("chapter","messages");
x.t("exchange","data");
x.t("specifies","destination");
x.t("specifies","null");
x.t("whether","destination");
x.t("receive","method");
x.t("receive","messages");
x.t("receive","message");
x.t("ways","send");
x.t("language","first");
x.t("types","messages");
x.t("tibemsmsgproducer_sendtodestination","nullsender");
x.t("works","following");
x.t("client","working");
x.t("client","check");
x.t("client","wishes");
x.t("client","sends");
x.t("client","finished");
x.t("client","application");
x.t("client","described");
x.t("queuereceiver.receive","client");
x.t("producer","nullsender");
x.t("producer","second");
x.t("producer","specifies");
x.t("producer","client");
x.t("producer","message");
x.t("producer","send");
x.t("producer","queuesender");
x.t("(null)","nullsender.send");
x.t("consumer","receives");
x.t("consumer","close");
x.t("consumer","start");
x.t("consumer","asynchronously");
x.t("consumer","created");
x.t("tibco","software");
x.t("message","properties");
x.t("message","session.createtextmessage");
x.t("message","topic");
x.t("message","type");
x.t("message","listener");
x.t("message",".setbooleanproperty");
x.t("message","property");
x.t("message","tibemsmsgproducer_send");
x.t("message","consumption");
x.t("message","csmsgproducer.cs");
x.t("message","destination");
x.t("message","language");
x.t("message","queuereceiver.receive");
x.t("message","producer");
x.t("message","consumer");
x.t("message","header");
x.t("message","message");
x.t("message","bodies");
x.t("message","jms_tibco_sender");
x.t("message",".getstringproperty");
x.t("message","null");
x.t("message","tibjmsmsgproducer.java");
x.t("message","tibemsmsgproducer.c");
x.t("message","specific");
x.t("message","hello");
x.t("message","object\u2019s");
x.t("message","jms_tibco_preserve_undelivered");
x.t("message","typically");
x.t("message","following");
x.t("message","containing");
x.t("header","fields");
x.t("asynchronously","receive");
x.t("bodies","ems");
x.t("java","connection");
x.t("java","apis");
x.t("java","session");
x.t("java","message");
x.t("java","messageproducer");
x.t("jms_tibco_sender","userid");
x.t("jms_tibco_sender","sending");
x.t("jms_tibco_sender","char");
x.t("jms_tibco_sender","&userid");
x.t("jms_tibco_sender","string");
x.t("jms_tibco_sender","tibemsmsg_setbooleanproperty");
x.t(".getstringproperty","method");
x.t("finished","receiving");
x.t("message.getstringproperty","jms_tibco_sender");
x.t("null","status");
x.t("null","sends");
x.t("null","destination");
x.t("tibjmsmsgproducer.java","sample");
x.t("tibemsmsgproducer.c","sample");
x.t("tibjmsmsgconsumer.java","sample");
x.t("tibemsmsgconsumer.c","sample");
x.t("(connection)","tibemsmsgconsumer.c");
x.t("(connection)","tibemsmsgconsumer_receive");
x.t("send","method");
x.t("send","text");
x.t("send","messages");
x.t("send","message");
x.t("specific","destination");
x.t("queuereceiver","&message");
x.t("hello","status");
x.t("hello","csmsgproducer.cs");
x.t("hello","java");
x.t("hello","tibjmsmsgproducer.java");
x.t("message.setbooleanproperty","jms_tibco_preserve_undelivered");
x.t("established","session");
x.t("exiting","message");
x.t("separate","create");
x.t("show","create");
x.t("show","two");
x.t("messageproducer","nullsender");
x.t("messageproducer","queuesender.send");
x.t("messageproducer","object\u2019s");
x.t("messageproducer","object");
x.t("messageconsumer","object\u2019s");
x.t("tibemsmsgconsumer_receive","function");
x.t("tibemsmsgconsumer_receive","queuereceiver");
x.t("information","creating");
x.t("information","used");
x.t("data","request");
x.t("examples","start");
x.t("examples","show");
x.t("application","working");
x.t("case","optionally");
x.t("asynchronous","message");
x.t("described","jms");
x.t("described","ems");
x.t("described","creating");
x.t("two","ways");
x.t("topics","queues");
x.t("applications","exchange");
x.t("object\u2019s","createtextmessage");
x.t("object\u2019s","setbooleanproperty");
x.t("object\u2019s","start");
x.t("object\u2019s","receive");
x.t("object\u2019s","send");
x.t("tibemstextmsg_create","&message");
x.t("tibemstextmsg_create","function");
x.t("jms_tibco_preserve_undelivered","property");
x.t("jms_tibco_preserve_undelivered","true");
x.t("optionally","jmsdeliverymode");
x.t("typically","used");
x.t("created","creating");
x.t("created","connecting");
x.t("created","dynamically");
x.t("nullsender.send","topic");
x.t("used","jms");
x.t("used","loop");
x.t("following","form");
x.t("following","types");
x.t("following","examples");
x.t("either","send");
x.t("either","case");
x.t("jmsexpiration","jmspriority");
x.t("containing","string");
x.t("setting","getting");
x.t("using","acknowledge");
x.t("duration","client");
x.t("tibemsmsg_setbooleanproperty","function");
x.t("tibemsmsg_setbooleanproperty","message");
x.t("jmsdeliverymode","jmsexpiration");
x.t("operations","creating");
x.t("acknowledge","mode");
x.t("connection.close","csmsgconsumer.cs");
x.t("connection.close","function");
x.t("connection.close","tibjmsmsgconsumer.java");
x.t("queuesender","message");
x.t("queuesender","created");
x.t("(message)","following");
x.t("object","queuesender.send");
x.t("object","messages");
x.t("dynamically","creating");
x.t("specify","destination");
x.t("server","synchronously");
x.t("server","exiting");
}
